**@openfin/web-interop** • [API](../../../README.md)

***

[@openfin/web-interop](../../../README.md) / @openfin/web-interop/iframe-broker

# @openfin/web-interop/iframe-broker

This module is the entry point for the Iframe Broker. It is responsible for initializing the OpenFin Web Interop environment.

## Remarks

This module is intended to be used in an iframe context, and is responsible for setting up the connection between the iframe and the OpenFin Web Interop broker.
This module requires hosting the script exported by the module:@openfin/web-interop/worker module.

## Example

```ts
import { init } from '@openfin/web-interop/iframe-broker';

init({
  sharedWorkerUrl: 'path to shared worker script'
});
```

## Index

### Type Aliases

- [ConnectionOptions](type-aliases/ConnectionOptions.md)

### Functions

- [init](functions/init.md)
- [rejectConnections](functions/rejectConnections.md)
